APIUsuários
Update a user (document is immutable)
Authorization
ApiKey AuthorizationBearer <token>
Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.
Em: header
Parâmetros de path
id*string
Formato
uuidParâmetros de header
idempotency-key*string
Client-generated unique key to make the mutation safe to retry.
Tamanho
1 <= lengthCorpo do request
application/json
Definições TypeScript
Use o tipo request body em TypeScript.
Corpo da response
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.sandbox.blendfi.com.br/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "idempotency-key: 0196c5d9-2e34-7c24-a47e-a0e1f89bb8a9" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"external_id": "string",
"name": "string",
"email": "string",
"date_of_birth": "string",
"user_type": "individual",
"document_type": "cpf",
"document_masked": "string",
"risk_profile": "conservative",
"kyc_status": "not_started",
"kyc_approved_at": "2019-08-24T14:15:22Z",
"kyc_expires_at": "2019-08-24T14:15:22Z",
"custody_status": "not_enrolled",
"custody_status_updated_at": "2019-08-24T14:15:22Z",
"metadata": {
"property1": null,
"property2": null
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"code": "idempotency_key_required",
"message": "Idempotency-Key header is required for this method.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "authentication_required",
"message": "No valid credentials provided.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "missing_capability",
"message": "Your API key does not have the required capability for this endpoint.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "user_not_found",
"message": "User not found.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "idempotency_key_reused",
"message": "Idempotency-Key was previously used with a different request body.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Try again after the retry_after_seconds window.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG",
"details": {
"retry_after_seconds": 60
}
}{
"code": "internal_error",
"message": "Internal server error.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}